> For the complete documentation index, see [llms.txt](https://ja.docs.monaca.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ja.docs.monaca.io/products_guide/monaca_cli/build_publish.md).

# リモートビルドと配布申請

リモートビルド の機能を解説します ( \[ ビルド設定 ] 画面の各タブの解説 )。

* ビルド : ビルド対象のプラットフォーム ( Android、iOS、Windows ) を選択します。
* ビルド設定 : アプリおよび各プラットフォーム向けのビルドに必要な設定をします。
* 依存関係の設定 : 必要なプラグイン （[Cordova プラグイン](/products_guide/monaca_ide/dependencies/cordova_plugin.md) 、[JS/CSS コンポーネント](/products_guide/monaca_ide/dependencies/components.md)、[外部サービス連携](/reference/service_integration.md) など ） を設定します。

ここまでの手順で、アプリの開発工程のすべてが完了しました。次の工程では、アプリのビルド、端末へのインストールなど、配布に向けた準備をします。これらの工程まで行えば、マーケットで配布できるアプリが完成します。なお、実際に、マーケット ( App Store、Google Play など ) 上で配布する前には、リリースビルド版のアプリが必要です。

各プラットフォーム向けアプリのビルド方法と配布申請に関しては、次の解説をご確認ください。

* [Monaca アプリのビルド](/tutorials/monaca_cli/building_app.md)
* [配布方法](/products_guide/monaca_ide/deploy.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://ja.docs.monaca.io/products_guide/monaca_cli/build_publish.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
